--- title: "Viewing members" slug: "mediaconnectcenter-memberview" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/mediaconnectcenter-memberview" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Viewing members Available in Classic and VPC It is an API to view members of the Media Connect Center. ## Requests ``` GET https://ncloudmcc.apigw.ntruss.co/ncloudmcc/v1/companies/{companyId}/users/{externalKey} ``` ### Request headers | Item | Required | Description | | --- | --- | --- | | x-ncp-apigw-timestamp | Y | Time elapsed since January 1, 1970, 00:00:00 UTC in milliseconds. The request is considered invalid if the time difference from the API Gateway server is 5 minutes or longer `x-ncp-apigw-timestamp:{Timestamp}` | | x-ncp-iam-access-key | Y | Value of access key ID issued from NAVER Cloud Platform portal `x-ncp-iam-access-key:{Sub Account Access Key}` | | x-ncp-apigw-signature-v2 | Y | Signature encrypted with the access key ID value and secret key `x-ncp-apigw-signature-v2:{API Gateway Signature}` | | x-ncp-region_code | N | Region code (KR) `x-ncp-region_code:KR` | | Content-Type | Y | Specifies the request body content type as application/json `Content-Type: application/json` | ### Request path parameters | Parameters | Type | Size | Required | Description | | --- | --- | --- | --- | --- | | companyId | String | 36 | Y | Integration key (CompanyId) Developers > Basic settings > Integration key | | externalKey | String | 36 | Y | External key of the member | ### Request examples ``` GET /ncloudmcc/v1/companies/48128f23-e29b-496e-aa04-1f741fed86bc/users/user01 Host: ncloudmcc.apigw.ntruss.com x-ncp-apigw-signature-v2: nOhpHMiLlhG4T43/PXwyicuo9yyNAPwx4jcWC6W/ewY= x-ncp-apigw-timestamp: 1700462630277 x-ncp-iam-access-key: HrR0s91elfiXEeTSZcwj x-ncp-region_code: KR ``` ## Responses ### Response body parameters | Parameters | Type | Size | Required | Description | | --- | --- | --- | --- | --- | | user.name | String | 100 | | Member name | | user.i18nNames | Map | | | Multilingual member name `Map<Locale, String> i18nNames` | | user.deptExternalKey | string | 100 | | External key of department | | user.jobGradeExternalKey | string | 100 | | External key of job grade | | user.jobPositionExternalKey | string | 100 | | External key of job position | | user.emailAddr | string | 100 | | Business email (login ID) | | user.telNo | string | 100 | | Phone number | | user.cphNo | string | 100 | | Mobile number | | user.localeTypeCd | string | | | Locale information | | user.tmznTypeCd | string | | | Timezone information | | user.externalKey | String | 36 | Y | External key of the member | ### Response examples ``` HTTP/1.1 200 OK Connection: keep-alive Content-Type: application/json;charset=UTF-8 Date: Mon, 20 Nov 2023 06:43:50 GMT Server: nginx x-ncp-apigw-response-origin: ENDPOINT x-ncp-trace-id: 6cc1hc8q6ce1j68cj264sj6p9n { "user": { "name":"Hong Gil Dong", "i18nNames": { "ko_KR": "홍길동", "en_US": "Hong Gil Dong" }, "deptExternalKey":"dept01", "jobGradeExternalKey":"jg02", "jobPositionExternalKey":"jp03", "emailAddr":"aaa@bbb.com", "telNo":"KR+82 021234567", "cphNo":"KR+82 01012345678", "localeTypeCd":"ko_KR", "tmznTypeCd":"Asia/Seoul", "externalKey":"user01" } } ```